--- old/usr/src/man/man1m/dhtadm.1m	2014-10-07 19:19:53.922347549 +0200
+++ /dev/null	2014-10-07 19:19:53.000000000 +0200
@@ -1,658 +0,0 @@
-'\" te
-.\"  Copyright (c) 2002 by Sun Microsystems, Inc. All Rights Reserved.
-.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
-.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH DHTADM 1M "Aug 28, 2004"
-.SH NAME
-dhtadm \- DHCP configuration table management utility
-.SH SYNOPSIS
-.LP
-.nf
-\fBdhtadm\fR \fB-C\fR [\fB-r\fR \fIresource\fR] [\fB-p\fR \fIpath\fR] [\fB-u\fR \fIuninterpreted\fR] [\fB-g\fR]
-.fi
-
-.LP
-.nf
-\fBdhtadm\fR \fB-A\fR \fB-s\fR \fIsymbol_name\fR \fB-d\fR \fIdefinition\fR [\fB-r\fR \fIresource\fR]
-     [\fB-p\fR \fIpath\fR] [\fB-u\fR \fIuninterpreted\fR] [\fB-g\fR]
-.fi
-
-.LP
-.nf
-\fBdhtadm\fR \fB-A\fR \fB-m\fR \fImacro_name\fR \fB-d\fR \fIdefinition\fR [\fB-r\fR \fIresource\fR]
-     [\fB-p\fR \fIpath\fR] [\fB-u\fR \fIuninterpreted\fR] [\fB-g\fR]
-.fi
-
-.LP
-.nf
-\fBdhtadm\fR \fB-M\fR \fB-s\fR \fIsymbol_name\fR \fB-d\fR \fIdefinition\fR [\fB-r\fR \fIresource\fR]
-     [\fB-p\fR \fIpath\fR] [\fB-u\fR \fIuninterpreted\fR] [\fB-g\fR]
-.fi
-
-.LP
-.nf
-\fBdhtadm\fR \fB-M\fR \fB-s\fR \fIsymbol_name\fR \fB-n\fR \fInew_name\fR [\fB-r\fR \fIresource\fR]
-     [\fB-p\fR \fIpath\fR] [\fB-u\fR \fIuninterpreted\fR] [\fB-g\fR]
-.fi
-
-.LP
-.nf
-\fBdhtadm\fR \fB-M\fR \fB-m\fR \fImacro_name\fR \fB-n\fR \fInew_name\fR [\fB-r\fR \fIresource\fR] [\fB-p\fR \fIpath\fR]
-     [\fB-u\fR \fIuninterpreted\fR] [\fB-g\fR]
-.fi
-
-.LP
-.nf
-\fBdhtadm\fR \fB-M\fR \fB-m\fR \fImacro_name\fR \fB-d\fR \fIdefinition\fR [\fB-r\fR \fIresource\fR]
-     [\fB-p\fR \fIpath\fR] [\fB-u\fR \fIuninterpreted\fR] [\fB-g\fR]
-.fi
-
-.LP
-.nf
-\fBdhtadm\fR \fB-M\fR \fB-m\fR \fImacro_name\fR \fB-e\fR \fIsymbol=value\fR [\fB-r\fR \fIresource\fR]
-     [\fB-p\fR \fIpath\fR] [\fB-u\fR \fIuninterpreted\fR] [\fB-g\fR]
-.fi
-
-.LP
-.nf
-\fBdhtadm\fR \fB-D\fR \fB-s\fR \fIsymbol_name\fR [\fB-r\fR \fIresource\fR] [\fB-p\fR \fIpath\fR]
-     [\fB-u\fR \fIuninterpreted\fR] [\fB-g\fR]
-.fi
-
-.LP
-.nf
-\fBdhtadm\fR \fB-D\fR \fB-m\fR \fImacro_name\fR [\fB-r\fR \fIresource\fR] [\fB-p\fR \fIpath\fR]
-     [\fB-u\fR \fIuninterpreted\fR] [\fB-g\fR]
-.fi
-
-.LP
-.nf
-\fBdhtadm\fR \fB-P\fR [\fB-r\fR \fIresource\fR] [\fB-p\fR \fIpath\fR] [\fB-u\fR \fIuninterpreted\fR] [\fB-g\fR]
-.fi
-
-.LP
-.nf
-\fBdhtadm\fR \fB-R\fR [\fB-r\fR \fIresource\fR] [\fB-p\fR \fIpath\fR] [\fB-u\fR \fIuninterpreted\fR] [\fB-g\fR]
-.fi
-
-.LP
-.nf
-\fBdhtadm\fR \fB-B\fR [\fB-v\fR] [\fIbatchfile\fR] [\fB-g\fR]
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-\fBdhtadm\fR manages the Dynamic Host Configuration Protocol (\fBDHCP\fR)
-service configuration table, \fBdhcptab\fR. You can use it to add, delete, or
-modify \fBDHCP\fR configuration macros or options or view the table. For a
-description of the table format, see \fBdhcptab\fR(4).)
-.sp
-.LP
-The \fBdhtadm\fR command can be run by root, or by other users assigned to the
-DHCP Management profile. See \fBrbac\fR(5) and \fBuser_attr\fR(4).
-.sp
-.LP
-After you make changes with \fBdhtadm\fR, you should issue a \fBSIGHUP\fR to
-the DHCP server, causing it to read the \fBdhcptab\fR and pick up the changes.
-Do this using the \fB-g\fR option.
-.SH OPTIONS
-.sp
-.LP
-One of the following function flags must be specified with the \fBdhtadm\fR
-command: \fB-A\fR, \fB-B\fR, \fB-C\fR, \fB-D\fR, \fB-M\fR, \fB-P\fR or
-\fB-R\fR.
-.sp
-.LP
-The following options are supported:
-.sp
-.ne 2
-.na
-\fB\fB-A\fR \fR
-.ad
-.RS 27n
-Add a symbol or macro definition to the \fBdhcptab\fR table.
-.sp
-The following sub-options are required:
-.sp
-.ne 2
-.na
-\fB\fB-d\fR \fIdefinition\fR\fR
-.ad
-.RS 18n
-Specify a macro or symbol definition.
-.sp
-\fIdefinition\fR must be enclosed in single quotation marks. For macros, use
-the form \fB-d\fR
-\fB\&':\fIsymbol\fR=\fIvalue\fR:\fIsymbol\fR=\fIvalue\fR:'\fR. Enclose a
-\fIvalue\fR that contains colons in double quotation marks. For symbols, the
-definition is a series of fields that define a symbol's characteristics. The
-fields are separated by commas. Use the form \fB-d\fR
-\fB\&'\fIcontext\fR,\fIcode\fR,\fItype\fR,\fIgranularity\fR,\fImaximum\fR'\fR.
-See \fBdhcptab\fR(4) for information about these fields.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-m\fR \fImacro_name\fR\fR
-.ad
-.RS 18n
-Specify the name of the macro to be added.
-.sp
-The \fB-d\fR option must be used with the \fB-m\fR option. The \fB-s\fR option
-cannot be used with the \fB-m\fR option.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-s\fR \fIsymbol_name\fR\fR
-.ad
-.RS 18n
-Specify the name of the symbol to be added.
-.sp
-The \fB-d\fR option must be used with the \fB-s\fR option. The \fB-m\fR option
-cannot be used with the \fB-s\fR option.
-.RE
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-B\fR\fR
-.ad
-.RS 27n
-Batch process \fBdhtadm\fR commands. \fBdhtadm\fR reads from the specified file
-or from standard input a series of \fBdhtadm\fR commands and execute them
-within the same process. Processing many \fBdhtadm\fR commands using this
-method is much faster than running an executable batchfile itself. Batch mode
-is recommended for using \fBdhtadm\fR in scripts.
-.sp
-The following sub-option is optional:
-.sp
-.ne 2
-.na
-\fB\fB-v\fR\fR
-.ad
-.RS 6n
-Display commands to standard output as they are processed.
-.RE
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-C\fR \fR
-.ad
-.RS 27n
-Create the \fBDHCP\fR service configuration table, \fBdhcptab\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-D\fR \fR
-.ad
-.RS 27n
-Delete a symbol or macro definition.
-.sp
-The following sub-options are required:
-.sp
-.ne 2
-.na
-\fB\fB-m\fR \fImacro_name\fR\fR
-.ad
-.RS 18n
-Delete the specified macro.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-s\fR \fIsymbol_name\fR\fR
-.ad
-.RS 18n
-Delete the specified symbol.
-.RE
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-g\fR \fR
-.ad
-.RS 27n
-Signal the DHCP daemon to reload the \fBdhcptab\fR after successful completion
-of the operation.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-M\fR \fR
-.ad
-.RS 27n
-Modify an existing symbol or macro definition.
-.sp
-The following sub-options are required:
-.sp
-.ne 2
-.na
-\fB\fB-d\fR \fIdefinition\fR\fR
-.ad
-.RS 17n
-Specify a macro or symbol definition to modify.
-.sp
-The definition must be enclosed in single quotation marks. For macros, use the
-form \fB-d\fR \fB\&':\fIsymbol\fR=\fIvalue\fR:\fIsymbol\fR=\fIvalue\fR:'\fR.
-Enclose a \fIvalue\fR that contains colons in double quotation marks. For
-symbols, the definition is a series of fields that define a symbol's
-characteristics. The fields are separated by commas. Use the form \fB-d\fR
-\fB\&'\fIcontext\fR,\fIcode\fR,\fItype\fR,\fIgranularity\fR,\fImaximum\fR'\fR.
-See \fBdhcptab\fR(4) for information about these fields.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-e\fR\fR
-.ad
-.RS 17n
-This sub-option uses the \fIsymbol\fR \fB=\fR\fIvalue\fR argument. Use it to
-edit a \fIsymbol\fR/\fIvalue\fR pair within a macro. To add a symbol which does
-not have an associate value, enter:
-.sp
-.in +2
-.nf
-\fIsymbol\fR\fB=_NULL_VALUE_\fR
-.fi
-.in -2
-.sp
-
-To delete a symbol definition from a macro, enter:
-.sp
-.in +2
-.nf
-\fIsymbol\fR\fB=\fR
-.fi
-.in -2
-.sp
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-m\fR\fR
-.ad
-.RS 17n
-This sub-option uses the \fImacro_name\fR argument. The \fB-n\fR, \fB-d\fR, or
-\fB-e\fR sub-options are legal companions for this sub-option..
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-n\fR\fR
-.ad
-.RS 17n
-This sub-option uses the \fInew_name\fR argument and modifies the name of the
-object specified by the \fB-m\fR or \fB-s\fR sub-option. It is not limited to
-macros. . Use it to specify a new macro name or symbol name.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-s\fR\fR
-.ad
-.RS 17n
-This sub-option uses the \fIsymbol_name\fR argument. Use it to specify a
-symbol. The \fB-d\fR sub-option is a legal companion.
-.RE
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-p\fR\fI path\fR \fR
-.ad
-.RS 27n
-Override the \fBdhcpsvc.conf\fR(4) configuration value for \fBPATH=\fR with
-\fIpath\fR. See \fBdhcpsvc.conf\fR(4) for more details regarding \fIpath\fR.
-See \fBdhcp_modules\fR(5) for information regarding data storage modules for
-the \fBDHCP\fR service.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-P\fR \fR
-.ad
-.RS 27n
-Print (display) the \fBdhcptab\fR table.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-r\fR\fI data_store_resource\fR \fR
-.ad
-.RS 27n
-Override the \fBdhcpsvc.conf\fR(4) configuration value for \fBRESOURCE=\fR with
-the \fIdata_store_resource\fR specified. See \fBdhcpsvc.conf\fR(4) for more
-details on resource type. See\fI\fR for more information about adding support
-for other data stores. See \fBdhcp_modules\fR(5) for information regarding data
-storage modules for the \fBDHCP\fR service.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-R\fR \fR
-.ad
-.RS 27n
-Remove the \fBdhcptab\fR table.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-u\fR\fI uninterpreted\fR\fR
-.ad
-.RS 27n
-Data which is ignored by \fBdhtadm\fR, but passed to currently configured
-public module, to be interpreted by the data store. The private layer provides
-for module-specific configuration information through the use of the
-\fBRESOURCE_CONFIG\fR keyword. Uninterpreted data is stored within
-\fBRESOURCE_CONFIG\fR keyword of \fBdhcpsvc.conf\fR(4). See
-\fBdhcp_modules\fR(5) for information regarding data storage modules for the
-DHCP service.
-.RE
-
-.SH EXAMPLES
-.LP
-\fBExample 1 \fRCreating the \fBDHCP\fR Service Configuration Table
-.sp
-.LP
-The following command creates the \fBDHCP\fR service configuration table,
-\fBdhcptab\fR:
-
-.sp
-.in +2
-.nf
-# dhtadm \fB-C\fR
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 2 \fRAdding a Symbol Definition
-.sp
-.LP
-The following command adds a \fBVendor\fR option symbol definition for a new
-symbol called \fBMySym\fR to the \fBdhcptab\fR table in the \fBSUNWfiles\fR
-resource in the \fB/var/mydhcp\fR directory:
-
-.sp
-.in +2
-.nf
-# dhtadm \fB-A\fR \fB-s\fR MySym
-   \fB-d\fR 'Vendor=SUNW.PCW.LAN,20,IP,1,0'
-   \fB-r\fR SUNWfiles \fB-p\fR /var/mydhcp
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 3 \fRAdding a Macro Definition
-.sp
-.LP
-The following command adds the \fBaruba\fR macro definition to the
-\fBdhcptab\fR table. Note that symbol/value pairs are bracketed with colons
-(\fB:\fR).
-
-.sp
-.in +2
-.nf
-# dhtadm \fB-A\fR \fB-m\fR aruba \e
-     \fB-d\fR ':Timeserv=10.0.0.10 10.0.0.11:DNSserv=10.0.0.1:'
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 4 \fRModifying a Macro Definition
-.sp
-.LP
-The following command modifies the \fBLocale\fR macro definition, setting the
-value of the \fBUTCOffst\fR symbol to 18000 seconds. Note that any macro
-definition which includes the definition of the \fBLocale\fR macro inherits
-this change.
-
-.sp
-.in +2
-.nf
-# dhtadm \fB-M\fR \fB-m\fR Locale \fB-e\fR 'UTCOffst=18000'
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 5 \fRDeleting a Symbol
-.sp
-.LP
-The following command deletes the \fBTimeserv\fR symbol from the \fBaruba\fR
-macro. Any macro definition which includes the definition of the \fBaruba\fR
-macro inherits this change.
-
-.sp
-.in +2
-.nf
-# dhtadm \fB-M\fR \fB-m\fR aruba \fB-e\fR 'Timeserv='
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 6 \fRAdding a Symbol to a Macro
-.sp
-.LP
-The following command adds the \fBHostname\fR symbol to the \fBaruba\fR macro.
-Note that the \fBHostname\fR symbol takes no value, and thus requires the
-special value \fB_NULL_VALUE_\fR. Note also that any macro definition which
-includes the definition of the \fBaruba\fR macro inherits this change.
-
-.sp
-.in +2
-.nf
-# dhtadm \fB-M\fR \fB-m\fR aruba \fB-e\fR 'Hostname=_NULL_VALUE_'
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 7 \fRRenaming a Macro
-.sp
-.LP
-The following command renames the \fBLocale\fR macro to \fBMyLocale\fR. Note
-that any \fBInclude\fR statements in macro definitions which include the
-\fBLocale\fR macro also need to be changed.
-
-.sp
-.in +2
-.nf
-# dhtadm \fB-M\fR \fB-m\fR Locale \fB-n\fR MyLocale
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 8 \fRDeleting a Symbol Definition
-.sp
-.LP
-The following command deletes the \fBMySym\fR symbol definition. Note that any
-macro definitions which use \fBMySym\fR needs to be modified.
-
-.sp
-.in +2
-.nf
-# dhtadm \fB-D\fR \fB-s\fR MySym
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 9 \fRRemoving a dhcptab
-.sp
-.LP
-The following command removes the \fBdhcptab\fR table in the NIS+ directory
-specified.
-
-.sp
-.in +2
-.nf
-# dhtadm \fB-R\fR \fB-r\fR SUNWnisplus \fB-p\fR Test.Nis.Plus.
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 10 \fRPrinting a dhcptab
-.sp
-.LP
-The following command prints to standard output the contents of the
-\fBdhcptab\fR that is located in the data store and path indicated in the
-\fBdhcpsvc.conf\fR file:.
-
-.sp
-.in +2
-.nf
-# dhtadm \fB-P\fR
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 11 \fRExecuting dhtadm in Batch Mode
-.sp
-.LP
-The following command runs a series of \fBdhtadm\fR commands contained in a
-batch file and signals the daemon to reload the \fBdhcptab\fR once the commands
-have been executed: :
-
-.sp
-.in +2
-.nf
-# dhtadm -B addmacros -g
-.fi
-.in -2
-.sp
-
-.SH EXIT STATUS
-.sp
-.ne 2
-.na
-\fB\fB0\fR \fR
-.ad
-.RS 6n
-Successful completion.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB1\fR \fR
-.ad
-.RS 6n
-Object already exists.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB2\fR \fR
-.ad
-.RS 6n
-Object does not exist.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB3\fR \fR
-.ad
-.RS 6n
-Non-critical error.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB4\fR \fR
-.ad
-.RS 6n
-Critical error.
-.RE
-
-.SH FILES
-.sp
-.ne 2
-.na
-\fB\fB/etc/inet/dhcpsvc.conf\fR \fR
-.ad
-.RS 27n
-
-.RE
-
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Evolving
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBdhcpconfig\fR(1M), \fBdhcpmgr\fR(1M), \fBin.dhcpd\fR(1M),
-\fBdhcpsvc.conf\fR(4), \fBdhcp_network\fR(4), \fBdhcptab\fR(4), \fBhosts\fR(4),
-\fBuser_attr\fR(4), \fBattributes\fR(5), \fBdhcp\fR(5),
-\fBdhcp_modules\fR(5)\fBrbac\fR(5)
-.sp
-.LP
-\fI\fR
-.sp
-.LP
-\fI\fR
-.sp
-.LP
-Alexander, S., and R. Droms, \fIDHCP Options and BOOTP Vendor Extensions\fR,
-RFC 1533, Lachman Technology, Inc., Bucknell University, October 1993.
-.sp
-.LP
-Droms, R., \fIInteroperation Between DHCP and BOOTP\fR, RFC 1534, Bucknell
-University, October 1993.
-.sp
-.LP
-Droms, R., \fIDynamic Host Configuration Protocol\fR, RFC 1541, Bucknell
-University, October 1993.
-.sp
-.LP
-Wimer, W., \fIClarifications and Extensions for the Bootstrap Protocol\fR, RFC
-1542, Carnegie Mellon University, October 1993.
